Innhold

# Eqv Operator

Beregner den logiske ekvivalensen til to uttrykk.

## Syntaks

    Resultat = Uttrykk1 Ekv. Uttrykk2

## Parameter

Resultat: Enhver numerisk variabel som inneholder resultatet av sammenligningen.

Uttrykk1, Uttrykk2: Alle uttrykk du vil sammenligne.

Når du tester for ekvivalens mellom boolske uttrykk, er resultatet Sann hvis begge uttrykkene er enten Sann eller Usann.

I en bitvis sammenligning setter Eqv-operatoren bare den tilsvarende biten i resultatet hvis en bit er satt i begge uttrykkene, eller i ingen av uttrykkene.

## Eksempel:

    Sub ExampleEqv
    Dim A As Variant, B As Variant, C As Variant, D As Variantsee #i38265
    Dim vOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vOut = A > B Eqv B > C ' returnerer -1
        vOut = B > A Eqv B > C ' returnerer 0
        vOut = A > B Eqv B > D ' returnerer 0
        vOut = (B > D Eqv B > A) ' returnerer -1
        vOut = B Eqv A ' returnerer -3
    End Sub